Bug Hunting Session
Bug 39529 - Webdav access doesn't lock the file
Summary: Webdav access doesn't lock the file
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: File-Lock WebDAV
  Show dependency treegraph
 
Reported: 2011-07-25 09:14 UTC by Davide Dozza
Modified: 2019-02-19 21:22 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Davide Dozza 2011-07-25 09:14:40 UTC
When I access to a document via webdav I can open, edit and save the file but the file it's not locked during editing.

It seems 3.4.1 is supporting lock but it doesn't run.

Here a webdav conversation
1-LibreOffice request
Header PROPFIND
<?xml version="1.0" encoding="utf-8"?>
<propfind xmlns="DAV:"><prop>
<resourcetype xmlns="DAV:"/>
<IsReadOnly xmlns="http://ucb.openoffice.org/dav/props/"/>
<getcontenttype xmlns="DAV:"/>
<supportedlock xmlns="DAV:"/>
</prop></propfind>

2-Server answer:
<?xml version="1.0" encoding="utf-8" ?>
<multistatus xmlns="DAV:"><response><href>/arkDocs//fs1/Applicazioni/ArkExample/Documenti/DOC000000051.odt</href>
<propstat><prop><resourcetype/><IsReadOnly xmlns="http://ucb.openoffice.org/dav/props/">false</IsReadOnly>
<getcontenttype>application/vnd.oasis.opendocument.text</getcontenttype>
<supportedlock><lockentry><lockscope><exclusive/></lockscope><locktype><write/></locktype></lockentry><lockentry><lockscope><shared/></lockscope><locktype><write/></locktype></lockentry></supportedlock>
</prop>
<status>HTTP/1.1 200 OK</status>
</propstat>
</response>
</multistatus>

3-LibreOffice request
GET

4-Server answer
file data....

Is it a bug?
Comment 1 Stephan Bergmann 2011-09-08 01:42:34 UTC
see <https://issues.apache.org/ooo/show_bug.cgi?id=29152> "webDAV locking needs to be implemented"
Comment 2 Björn Michaelsen 2011-12-23 12:23:20 UTC Comment hidden (obsolete)
Comment 3 Alex Thurgood 2012-02-04 04:21:56 UTC
Setting to new, as this is a known lacking feature.


Alex
Comment 4 Alex Thurgood 2012-02-04 04:23:01 UTC
And it won't be addressed any time soon in Apache OOo by the looks of it because they've just removed webdav support due to licensing restrictions of the neon code.

Alex
Comment 5 Owen Genat (retired) 2014-07-08 10:24:46 UTC
Does this bug apply anymore? It seems to run contrary to what is described in bug 72157. Is locking over WebDAV implemented or not? Are these two bugs describing a different level of file locking? Just after some clarity for answering WebDAV-related questions on AskLO. Thanks.
Comment 6 Oleg Burlaca 2014-08-15 20:25:29 UTC
Owen, bug 72157 isn't fully fixed, have a look at latest comments there.
Comment 7 Owen Genat (retired) 2014-08-18 15:00:00 UTC
(In reply to comment #0)
> When I access to a document via webdav I can open, edit and save the file
> but the file it's not locked during editing.

(In reply to comment #6)
> Owen, bug 72157 isn't fully fixed, have a look at latest comments there.

Thanks. I can see that bug 82744 now indicates that the save action is unlocking the WebDAV-acquired file, but doesn't that make this report now an even more likely duplicate? 

I confess to not understanding WebDAV requirements at all. Some users seem to want to turn off all file locking (e.g., http://ask.libreoffice.org/en/question/36303/), while others insist on it (which I would think more sensible). At present, neither option seems workable.
Comment 8 tommy27 2015-06-23 12:07:27 UTC
please give an update of the current bug status with latest LibO 4.4.3.2 release
Comment 9 QA Administrators 2016-09-20 10:28:34 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920